module.exports = (server, db) => {
  return {
    index: (req, res, next) => {
      db.query('SELECT * FROM PRODUTOS_SUBGRUPOS', (error, data) => {
        res.send(data)
        next()
      })
    },

    show: (req, res, next) => {
      let subgroupId = req.params.subgroupId

      let queryString = 'SELECT FIRST 1 * FROM PRODUTOS_SUBGRUPOS WHERE PRODUTO_SUBGRUPO_ID = ?'
      let queryData = [subgroupId]

      db.query(queryString, queryData, (error, data) => {
        if (data.length !== 1) {
          res.send(`Falha ao encontrar o subgrupo de id ${subgroupId}.`)
          return next()
        }

        res.send(data[0])
        next()
      })
    }
  }
}
